Przejdź do głównej zawartości

Ta przeglądarka nie jest już obsługiwana.

Przejdź na przeglądarkę Microsoft Edge, aby korzystać z najnowszych funkcji, aktualizacji zabezpieczeń i pomocy technicznej.

Pobieranie przeglądarki Microsoft Edge Więcej informacji o przeglądarkach Internet Explorer i Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Parametry zapytań

api-version string wymagane

The API version to use for this operation.

Parametry nagłówka

Foundry-Features enum wymagane

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Parametry ścieżki

name string wymagane

Name of the model.

version string wymagane

Version of the model.

Treść żądania

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum wymagane

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Odpowiedzi

The request has succeeded.

Treść

Content-Type: application/json
blobReference BlobReference wymagane

Blob reference details.

blobUri string wymagane

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string wymagane

ARM ID of the storage account to use.

credential SasCredential wymagane

SAS Credential definition

sasUri string wymagane

SAS uri

type enum wymagane

Type of credential

SAS
pendingUploadId string wymagane

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum wymagane

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Nagłówki

x-ms-error-code string

String error code indicating what went wrong.

Treść

Content-Type: application/json
error Azure.Core.Foundations.Error wymagane

The error object.

code string wymagane

One of a server-defined set of error codes.

message string wymagane

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Nagłówki

x-ms-error-code string

String error code indicating what went wrong.

Treść

Content-Type: application/json
error Azure.Core.Foundations.Error wymagane

The error object.

code string wymagane

One of a server-defined set of error codes.

message string wymagane

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Żądanie

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pl-pl
Wybrane przez Ciebie opcje dotyczące prywatności
  • Zastrzeżenie dotyczące sztucznej inteligencji
  • Poprzednie wersje
  • Blog
  • Współtworzenie
  • Prywatność
  • Prywatność kondycji konsumenta
  • Warunki użytkowania
  • Znaki towarowe
  • © Microsoft 2026